###########
#General#
###########
save-position-on-quit
msg-module#prependmodulenametologmessages
msg-color#colorlogmessagesonterminal
term-osd-bar#displayaprogressbarontheterminal
keep-open=yes#playthenextfileinfolder,orexit
deinterlace=auto#'auto'doesnotimplyinterlacing-detection
cursor-autohide=1000#autohidethecurserafter1s
script-opts=osc-layout=bottombar,osc-seekbarstyle=bar
video-output-levels=full
video-aspect=-1
screenshot-high-bit-depth=yes
screenshot-format=png
screenshot-png-compression=8
screenshot-template='R:\Images\Screencaps/%F(%P)%n'


hls-bitrate=max#usemaxqualityforHLSstreams
ytdl-format=bestvideo[height<=?1080][fps<=?30][vcodec!=?vp9][protocol!=http_dash_segments]+bestaudio/best#[protocol!=http_dash_segments][protocol!=rtmp]


#########
#Cache#
#########

#cache=yes
cache=no
#cache-default=1000000#sizeinKB
#cache-backbuffer=1000000#sizeinKB
#cache-initial=0#startplaybackwhenyourcacheisfilledupwithxkB
#cache-secs=12#howmanysecondsofaudio/videotoprefetchifthecacheisactive


#############
#OSD/OSC#
#############

##OSC##
osc=yes
script-opts=osc-layout=bottombar,osc-seekbarstyle=bar

##OSD##
video-osd=yes
osd-fractions=yes
osd-duration=2000
osd-level=5
osd-scale=0.5
osd-bar-w=95.0
osd-bar-h=15.0
osd-border-color='#090000'
osd-border-size=2
osd-shadow-color="#33262626"
osd-shadow-offset=1.25
osd-font="Vovaldi"
osd-font-size=32
osd-color="#89BB00"
[extension.m3u]
save-position-on-quit

#############
#Subtitles#
#############

slang=eng,en,enUS,en-US,English,Serbia
sub
sub-font="Castellar"
sub-auto=fuzzy
sub-fix-timing=yes
sub-use-margins
blend-subtitles=yes
sub-font-size=20
sub-codepage=latin2
sub-color="#F8FC00"
sub-border-size=2
sub-border-color="#DD322640"
sub-shadow-color="#33000000"
sub-shadow-offset=1
sub-spacing=0.5
sub-ass
sub-ass-override=force
sub-ass-force-margins=yes
sub-ass-hinting=none
sub-ass-force-style=Kerning=yes

#############
#Languages#
#############

slang=enm,en,eng,de,deu,ger#automaticallyselectthesesubtitles(decreasingpriority)
alang=ja,jp,jpn,en,eng,de,deu,ger#automaticallyselecttheseaudiotracks(decreasingpriority)


#########
#Audio#
#########

audio-file-auto=fuzzy#externalaudiodoesn'thastomatchthefilenameexactlytoautoload
audio-pitch-correction=yes#automaticallyinsertscaletempowhenplayingwithhigherspeed
volume-max=150#maximumvolumein%,everythingabove100resultsinamplification
volume=70#defaultvolume,100=unchanged
audio-channels=stereo

################
#VideoOutput#
################

profile=opengl-hq
opengl-early-flush=yes
opengl-pbo=no
target-trc=gamma2.2
gamma=-6
saturation=10
tv-saturation=10


#################
#Interpolation#[<sharp>,...,<smooth>]
#################[oversample,linear(triangle),catmull_rom,mitchell,gaussian,bicubic]

interpolation
interpolation-threshold=0.001
tscale=oversample
tscale-antiring=0.7


#############see:https://github.com/mpv-player/mpv/wiki/Upscaling
#Upscaling#
#############
#[bilinear,lanczos,mitchell,spline16,spline36,spline64,ewa_lanczos(:scale-radius=float),
#ewa_lanczossharp,ewa_lanczossoft,robidoux,robidouxsharp,ewa_ginseng,ewa_hanning,bicubic,
#gaussian,catmull_rom,nearest,oversample,sharpen3,sharpen5,sinc:scale-radius=R]

scale=spline36
cscale=bicubic#ewa_lanczossoft
cscale-radius=10
dscale=catmull_rom
scale-antiring=0.0
cscale-antiring=0.0
dither-depth=auto
correct-downscaling=yes
sigmoid-upscaling=yes
deband=yes
hwdec=auto

#ActiveVOs(andsomeotheroptions)aresetconditionally
#Seehereformoreinformation:https://github.com/wm4/mpv-scripts/blob/master/auto-profiles.lua
#Thescriptwasmodifiedtoimportfunctionsfromscripts/auto-profiles-functions.lua


###################################
#ProtocolSpecificConfiguration#
###################################

[protocol.https]
cache=yes
cache-default=500000#sizeinKB
cache-backbuffer=250000#sizeinKB
cache-secs=100#howmanysecondsofaudio/videotoprefetch
user-agent='Mozilla/5.0(X11;Linuxx86_64)AppleWebKit/537.36(KHTML,likeGecko)Chrome/57.0.2987.133Safari/537.36'

[protocol.http]
cache=no
##no-pause
##loop-file=yes
#cache=yes
#cache-default=500000#sizeinKB
cache-backbuffer=250000#sizeinKB
#cache-secs=100#howmanysecondsofaudio/videotoprefetch
user-agent='Mozilla/5.0(X11;Linuxx86_64)AppleWebKit/537.36(KHTML,likeGecko)Chrome/57.0.2987.133Safari/537.36'

[extension.gif]
cache=no
no-pause
loop-file=yes